Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# asyncqueue.hh File Reference

A GAsyncQueue C++ wrapper interface. More...

`#include <xfc/object.hh>`
`#include <glib/gasyncqueue.h>`
`#include <xfc/glib/inline/asyncqueue.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::AsyncQueue
    A GAsyncQueue C++ wrapper interface. More...

## Detailed Description

A GAsyncQueue C++ wrapper interface.

Provides AsyncQueue, a object that provides asynchronous communication between threads.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3